=== debian/changelog ===
bbsi (0.4.0-1) bookworm; urgency=medium

  * New upstream release.

 -- Eugene 'Vindex' Stulin <tech.vindex@gmail.com>  Mon, 23 Jun 2025 21:20:51 +0300
