=== debian/control ===
Source: bbsi
Priority: optional
Maintainer: Eugene 'Vindex' Stulin <tech.vindex@gmail.com>
Build-Depends: make, debhelper (>= 10), lsb-release
Standards-Version: 4.1.2
Section: misc
Homepage: https://gitlab.com/os-18/bbsi

Package: bbsi
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, bash, ffmpeg, net-tools, virtualenv, python3-pip
Description: several scripts to facilitate some everyday tasks.
 Bash-based set of instruments.
